=== documentation/faust-quick-reference-src/Makefile ===
faust-quick-reference.pdf : faust-quick-reference.tex chapters/*.tex
	pdflatex faust-quick-reference.tex
	rail faust-quick-reference
	pdflatex faust-quick-reference.tex
	
clean :
	rm -f *.out *.toc *.pdf *.aux *.dvi *.rai *.rao *.log *~
