=== debian/changelog ===
faust (0.9.95~repack1-2) unstable; urgency=medium

  * faust sources are now in /usr/share/faust/
  * Fixed install mess
  * Mark faust-common as Multi-Arch:foreign
  * Updated d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 04 Jan 2017 11:34:30 +0100

faust (0.9.95~repack1-1) unstable; urgency=medium

  * New upstream version 0.9.95~repack1 (Closes: #715891)

  * Removed patches applied upstream.
  * Adjusted install targets to README->README.md rename
  * Dropped unneeded hack to copy files from /usr/lib/ to /usr/share/
  * Made sure that code files are non-executable

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Jan 2017 16:35:39 +0100

faust (0.9.90~repack1-1) unstable; urgency=medium

  * New upstream version 0.9.90~repack1

  * Refreshed patches.
    * Added '.patch' suffix to Debian-patches
  * Added new patches
    * Closed privacy breach
    * Fixed 'make clean' target
  * Factored out binary package "faust-common"
  * Removed binary build-artefacts from /usr/share
  * Added missing sources
    * (pseudo) build-target 'missing-sources' to automate this
  * Added lintian-override for .dsp project files
  * Added local-options to d/source/
  * Added gbp config
  * Updated d/copyright
  * Installed WHATSNEW as upstream changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 27 Sep 2016 22:06:12 +0200
