=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2016 IOhannes m zmölnig <zmoelnig@iem.at>
# Description: Main Debian packaging script for faust
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/utils.mk

DEB_MAKE_ENVVARS = CFLAGS="$(or $(CFLAGS_$(cdbs_curpkg)),$(CFLAGS))" CXXFLAGS="$(or $(CXXFLAGS_$(cdbs_curpkg)),$(CXXFLAGS))" CPPFLAGS="$(or $(CPPFLAGS_$(cdbs_curpkg)),$(CPPFLAGS))" LDFLAGS="$(or $(LDFLAGS_$(cdbs_curpkg)),$(LDFLAGS))"
DEB_MAKE_EXTRA_ARGS = $(DEB_MAKE_PARALLEL) PREFIX=/usr
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(cdbs_make_curdestdir)

DEB_INSTALL_CHANGELOGS_ALL=WHATSNEW

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        ^(.*\.(png|pdf|doctree|jar|xcuserstate|swc|ots)|debian/(changelog|copyright(|_hints|_newhints)))$

DEB_COMPRESS_EXCLUDE_ALL=.dsp .lib Makefile
MANPAGEDIR=debian/man

.PHONY: manpages manpageclean
manpages:
	mkdir -p $(MANPAGEDIR)
	help2man -N -n "functional programming language for realtime audio applications" \
		debian/faust-help2man > $(MANPAGEDIR)/faust.1
	help2man -N -n "Compile faust DSP code into SuperCollider module" \
		tools/faust2sc-1.0.0/faust2sc > $(MANPAGEDIR)/faust2sc.1
	debian/faust2man $(MANPAGEDIR) debian/faust2api.1
manpageclean:
	-rm -rf $(MANPAGEDIR)
common-binary-arch:: manpages
clean:: manpageclean

binary-post-install/faust::
	# fix path for faustpath and faustoptflags
	sed -e 's|^\( *\. \)faust|\1/usr/share/faust/utils/faust|' \
		-i $(CURDIR)/debian/$(cdbs_curpkg)/usr/bin/faust2*
binary-post-install/faust-common::
	# remove binary artifacts from to-be /usr/share
	rm -rf $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/faust/iOS/osclib/
	# fix permissions
	find $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/faust -name "*.cpp" \
		-exec chmod a-x {} +
	find $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/faust -name "*.jucer" \
		-exec chmod a-x {} +

.PHONY: missing-sources
missing-sources: debian/missing-sources/jquery-1.4.2.js
debian/missing-sources/jquery-1.4.2.js:
	wget -O $@ https://raw.githubusercontent.com/jquery/jquery/1.4.2/jquery.js
missing-sources: debian/missing-sources/jquery-1.7.1.js
debian/missing-sources/jquery-1.7.1.js:
	wget -O $@ https://raw.githubusercontent.com/jquery/jquery/1.7.1/jquery.js
missing-sources: debian/missing-sources/underscore-0.5.5.js
debian/missing-sources/underscore-0.5.5.js:
	wget -O $@ https://raw.githubusercontent.com/jashkenas/underscore/0.5.5/underscore.js
